Package org.apache.commons.collections4.functors

# Class InstanceofPredicate

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<Object>
org.apache.commons.collections4.functors.InstanceofPredicate

All Implemented Interfaces:
  `Serializable`, `Predicate<Object>`, `Predicate<Object>`

public final class InstanceofPredicate extends AbstractPredicate<Object> implements Serializable
Predicate implementation that returns true if the input is an instanceof the type stored in this predicate.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstanceofPredicate(Class<?> type)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getType()`
  Gets the type to compare to.
  `static Predicate<Object>`
  `instanceOfPredicate(Class<?> type)`
  Creates the identity predicate.
  `boolean`
  `test(Object object)`
  Evaluates the predicate returning true if the input object is of the correct type.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Constructor Details

  - ### InstanceofPredicate

    public InstanceofPredicate(Class<?> type)
    Constructor that performs no validation. Use `instanceOfPredicate` if you want that.
    Parameters:
      `type` - The type to check for

- ## Method Details

  - ### instanceOfPredicate

    public static Predicate<Object> instanceOfPredicate(Class<?> type)
    Creates the identity predicate.
    Parameters:
      `type` - The type to check for, may not be null
    Returns:
      The predicate
    Throws:
      `NullPointerException` - if the class is null

  - ### getType

    public Class<?> getType()
    Gets the type to compare to.
    Returns:
      The type
    Since:
      3.1

  - ### test

    public boolean test(Object object)
    Evaluates the predicate returning true if the input object is of the correct type.
    Specified by:
      `test` in interface `Predicate<Object>`
    Specified by:
      `test` in interface `Predicate<Object>`
    Parameters:
      `object` - The input object
    Returns:
      true if input is of stored type